summaryrefslogtreecommitdiffstats
path: root/source/script/tests
diff options
context:
space:
mode:
authorStefan Metzmacher <metze@samba.org>2007-12-14 19:39:49 +0100
committerStefan Metzmacher <metze@samba.org>2007-12-14 19:39:49 +0100
commit56251f78524416435299e26fca405e77d0f42043 (patch)
treed7c633a9274a6e9b8b0db7e09d10d6c406d57deb /source/script/tests
parent33cbd6903e8b468a782fb5d6913eb82824d3b347 (diff)
downloadsamba-56251f78524416435299e26fca405e77d0f42043.tar.gz
samba-56251f78524416435299e26fca405e77d0f42043.tar.xz
samba-56251f78524416435299e26fca405e77d0f42043.zip
selftest: reenable wbinfo tests and pass --configfile instead of -s
metze
Diffstat (limited to 'source/script/tests')
-rwxr-xr-xsource/script/tests/selftest.sh2
-rwxr-xr-xsource/script/tests/test_wbinfo_s3.sh2
-rwxr-xr-xsource/script/tests/tests_all.sh2
3 files changed, 3 insertions, 3 deletions
diff --git a/source/script/tests/selftest.sh b/source/script/tests/selftest.sh
index 6810ec1a54e..2250a812451 100755
--- a/source/script/tests/selftest.sh
+++ b/source/script/tests/selftest.sh
@@ -49,7 +49,7 @@ PRIVATEDIR=$PREFIX_ABS/private
LOCKDIR=$PREFIX_ABS/lockdir
LOGDIR=$PREFIX_ABS/logs
SOCKET_WRAPPER_DIR=$PREFIX/sw
-CONFIGURATION="-s $CONFFILE"
+CONFIGURATION="--configfile $CONFFILE"
SAMBA4CONFIGURATION="-s $SAMBA4CONFFILE"
NSS_WRAPPER_PASSWD="$PRIVATEDIR/passwd"
NSS_WRAPPER_GROUP="$PRIVATEDIR/group"
diff --git a/source/script/tests/test_wbinfo_s3.sh b/source/script/tests/test_wbinfo_s3.sh
index abd6146e1a3..6a8faa1f87e 100755
--- a/source/script/tests/test_wbinfo_s3.sh
+++ b/source/script/tests/test_wbinfo_s3.sh
@@ -40,7 +40,7 @@ NEWIFS=$':'
IFS=$NEWIFS
for t in $tests; do
IFS=$OLDIFS
- testit "wbinfo $t" $VALGRIND $BINDIR/wbinfo $ADDARGS $t || failed=`expr $failed + 1`
+ testit "wbinfo $t" $VALGRIND $BINDIR/wbinfo $CONFIGURATION $ADDARGS $t || failed=`expr $failed + 1`
IFS=$NEWIFS
done
IFS=$OLDIFS
diff --git a/source/script/tests/tests_all.sh b/source/script/tests/tests_all.sh
index a110d60f98a..12789aa9263 100755
--- a/source/script/tests/tests_all.sh
+++ b/source/script/tests/tests_all.sh
@@ -2,7 +2,7 @@
$SCRIPTDIR/test_local_s3.sh || failed=`expr $failed + $?`
$SCRIPTDIR/test_smbtorture_s3.sh //$SERVER_IP/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
$SCRIPTDIR/test_smbclient_s3.sh $SERVER $SERVER_IP || failed=`expr $failed + $?`
-#$SCRIPTDIR/test_wbinfo_s3.sh $WORKGROUP $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
+$SCRIPTDIR/test_wbinfo_s3.sh $WORKGROUP $SERVER $USERNAME $PASSWORD || failed=`expr $failed + $?`
SMBTORTURE4VERSION=`$SMBTORTURE4 --version`
if [ -n "$SMBTORTURE4" -a -n "$SMBTORTURE4VERSION" ];then